#include <bits/stdc++.h>
using namespace std;
int N,K,Ai;
int main(){
     cin >> N >> K >> Ai ;
     if(N==1){if(K=1){cout << 1 <<endl<<Ai<< endl ;}
     else{cout<<0<<endl;}}
     else{
        for(int i=1;i+1<=N;i++){
            cin>>Ai;}
     if(K>N){cout<<0<<endl;}
     else{cout<<2<<endl<<0<<" "<<1<<endl;}
     }
    return 0;
}